Packages - Packaging Request #2513

[libretools] needs rebuild for pacman 5.2
2019-10-25 04:13 AM - infertux

Status: fixed % Done: 100%
Priority: broken

Assignee: ovruni

Category:

Description

$ sudo pacman -Syu

[...]

installing pacman (5.2.0-2.parabolal) breaks dependency 'pacman<5.2' required by libretools

History

#1 - 2019-10-26 08:32 AM - ovruni

- Status changed from unconfirmed to confirmed

#2 - 2019-10-26 08:34 AM - ovruni

- Assignee set to ovruni

#3 - 2019-10-26 02:01 PM - bill-auger
- Priority changed from bug to broken
- Status changed from confirmed to open

- Tracker changed from Bug to Packaging Request

ovruni -

i added some features to libretools recently; but i did not rebuild because i wasnt quite sure how to build and publish it - it looks like one of those
intermediate soutcr-ball deals like is often handled but those mksource() functions - i have another patch actually; but its not well tested - ive been
waiting to ask lukeshu about the workflow; and to check that none of my patches broken anything

if you know how this is done could you explain the workflow

#4 - 2019-10-26 06:33 PM - ovruni
- % Done changed from 0 to 90

- Status changed from open to in progress

#5 - 2019-10-26 06:56 PM - ovruni
| have pushed libretools-20181004-6.1 in the libre-testing repo. Please let me know if everything is OK.

#6 - 2019-10-27 04:34 AM - infertux

Thank you @ovruni. Everything looks good to me and | was able to update pacman and yay. Yay! I'll et you close this ticket once the new package
lands in the libre repo.

#7 - 2019-10-28 04:19 PM - ovruni
- % Done changed from 90 to 100

- Status changed from in progress to fixed
